Subject: bug#46819: 28.0.50; Undesireable warning: Empty let body from the `benchmark-run' implementation

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 10 Mar 2021 15:54:30 +0100

Matt Armstrong <[email-masked]> writes:

> How about we fix benchmark's use of `let', and leave the warning in
> place.  It does not seem to be generating many other complaints, so it
> may not be particularly annoying after all.  I'm currently working with
> `benchmark-run' a bunch and would like the warning gone from that one
> use.
>
> I can make a patch, but a one liner might be quicker for one of you to
> just commit directly.  ;-)

Yup; now done.

I think we should keep the byte-compilation warning -- at least for
now.  If it leads to false positives all over the place, then perhaps
not, but it's a useful warning, in my opinion.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no